apiVersion: v1
kind: Pod
metadata:
 name: tomcat
spec:
 containers:
   - name: tomcat
     image: registry.redhat.io/jboss-webserver-6/jws60-openjdk17-openshift-rhel8
     env:
      - name: JWS_HTTPS_CERTIFICATE_DIR
        value: "/CERTS"
      - name: JWS_HTTPS_CERTIFICATE
        value: "server.crt"
      - name: JWS_HTTPS_CERTIFICATE_KEY
        value: "server.key"
     volumeMounts:
       - name:  jws-app-secret
         mountPath: "/CERTS"
         readOnly: true
 volumes:
 - name: jws-app-secret
   secret:
     secretName: jws-app-secret
